<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * formulario de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
		
	//** tabla
		//$tabla		= ( isset( yPanel::paneles( $_GET['panel'] )->tabla ) ) ? WY_DBPREFIJO . yPanel::paneles( $_GET['panel'] )->tabla : 'nulo';
			 
?>	
	
	<div class="row">
		<!-- Panel Principal -->
		<div class="col-sm-12">
			<form method="post" action="<?php echo com_base() ?>prcss.php">
				<input type="hidden" name="acc" value="g-mnu">
				<input type="hidden" name="post" value="<?php echo com_obtReg( "id" ) ?>">
				<input type="hidden" name="panel" value="<?php echo $_GET['panel'] ?>">
				
				<div class="m-t-30">
					<?php 
						echo com_boton( 'editar' ) . ' ' . com_boton( 'eliminar', '<i class="fa fa-trash"></i> ' . etiqueta( 'e_eliminar', 'Eliminar' ) ) . ' ' . com_boton( 'cerrar' ); 
					?>
				</div>
				<fieldset class="fs-small">
					<legend><?php echo etiqueta( 'legend_menu_1', 'Agregar nuevo menú' ) ?></legend>
					<div class="m-b-10">
						<label for="nombre"><?php echo etiqueta( 'e_nombre', 'Nombre' ) ?></label>
						<input type="text" class="w-full" id="nombre" name="nombre" value="<?php echo com_obtReg( "nombre" ) ?>">
					</div>
					<div class="m-b-10">
						<label for="slug-c">Slug</label>
						<input type="text" class="w-full" id="slug" name="slug" value="<?php echo com_obtReg( "slug" ) ?>" autocomplete="off" >
					</div>
					<div class="m-b-10">
						<label for="publicado"><?php echo etiqueta( 'e_publicado', 'Publicado' ) ?></label>
						<?php echo com_btnToggle( 'publicado', 1, com_obtReg( "publicado", 1 ) ); ?>
					</div>
					<div class="m-b-10">
						<input type="text" class="w-full" id="link" name="link" placeholder="Link" value="<?php echo com_obtReg( "link" ) ?>" onChange="desabilitar_input( this, this.form.slug )" >
					</div>
					<div class="m-b-10">
						<label for="orden"><?php echo etiqueta( 'e_orden', 'Orden' ) ?></label>
						<input type="number" id="orden" name="orden" placeholder="Orden" value="<?php echo $orden ?>" title="Orden en que se mostrará el menú" >
					</div>
					<div class="m-b-10">
						<label for="posicion"><?php echo etiqueta( 'e_posicion', 'Posición' ) ?></label><br>
						<?php
							echo posicion();
						?>
					</div>
					<div class="m-b-10">
						<label for="jerarquia"><?php echo etiqueta( 'e_menu_padre', 'Menú Padre' ) ?></label><br>
						<?php
							echo dependencia()
						?>
					</div>
				</fieldset>
			</form>
		</div>		
	</div>
	
	<script>
			
			//** boton cancelar
				$_("#cerrar").onclick = function(){ location.href='<?php echo post_link( $_GET['panel'] ); ?>'; }
				
			//** validar formulario */
				$_("#editar").onclick = function(){
					f = this.form;
					if( f.nombre.value.length < 3 ){
						f.nombre.focus();
						MsjBox.mostrar( '<?php echo etiqueta( 'msj_err_nombre', 'Por favor ingrese un nombre válido.' ) ?>' );
						return false
					}
					if( f.slug.value.length < 3 ){
						f.slug.value = obtCadenaSlug(f.nombre.value);
					}
					eform( this.form );
					
					return false;
				}
				
			//** boton nuevo
				//$_("#nuevo").onclick = function(){ location.href='<?php echo post_link( $_GET['panel'], NULL, "acc=agregar" ); ?>'; }
				
			$_("#eliminar").onclick = function(){
				var opcion = confirm("<?php echo etiqueta( 'msj_seguro_eliminar', '¿Está seguro que desea eliminar el registro?' ) ?>");
    			if (opcion == true) {
					MsjBox.mostrar('<?php echo etiqueta( 'msj_eliminando', 'Eliminando' ) ?>...');
					$y.ajax({
							url: '<?php echo com_base() ?>prcss.php',
							metodo: 'POST',
							data: 'acc=r-eliminar&panel=<?php echo $_GET['panel'] ?>&post=<?php echo com_obtReg( "id" ) ?>',
							contenidoTipo: 'application/x-www-form-urlencoded',
							suceso: function(respuesta){ 
										if( respuesta == 1 ){
											 MsjBox.mostrar('<?php echo etiqueta( 'msj_reg_eliminado', 'El registro se eliminó correctamente.' ) ?>');
											 location.href='<?php echo post_link( $_GET['panel'] ); ?>';
											 //setTimeout("location.reload();",800);
										}
							}
					});
				}
			}
	</script>